# Docdeployer

Usage:
```yml
steps:
  - name: swagger-doc
    image: hub.codefirst.iut.uca.fr/maxime.batista/codefirst-docdeployer
    commands:
      - /entrypoint.sh <arguments>
```

## `entrypoint.sh`

This command generates the documentation and deploys it on your CodeDoc space

### arguments

- `-l --loc [dir]` location of the documentation sources root - **required**
- `-t --type [docusaurus|doxygen|swagger]` type of documentation generator to use. - **required**
- `-d --dest [dir]` path to where to put the documentation outputs in your repository's CodeDoc space - **optional <u>!! cannot be absolute !!</u>**

usage examples :

```
/entrypoint.sh -l ./documentation/api/api-swagger.yml -t swagger -d api_documentation
/entrypoint.sh -l ./documentation/app -t docusaurus -d application_documentation
/entrypoint.sh -l ./src -t doxygen -d sourcecode_documentation 
```

